getLightLibrariesDataTypes(data: GetLightLibrariesDataTypesParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5Mini Program Base Library≥2.18.1
Description
Get the list of lighting library data types bound to a device or group. Use this list to categorize and display data.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters: bizId (business ID), bizType (business type: 0 = device, 1 = group), libType (library type: SCENE_LIB = scene library, MUSIC_LIB = music library, SCENE_IMAGE_LIB = scene image library). |
Return Value
Type: Promise<GetLightLibrariesDataTypesResult>
DataType[]: 0 All data types; 1 Basic data: data provided by Tuya and bound at the panel uiId level; 2 Advanced data: data maintained in the mini app backend.
Referenced Types
type
GetLightLibrariesDataTypesResultValid Values
GetLightLibrariesDataTypesParams.bizType
| Value | Description | Mini Program Base Library Since |
|---|---|---|
0 | - | - |
1 | - | - |
GetLightLibrariesDataTypesParams.libType
| Value | Description | Mini Program Base Library Since |
|---|---|---|
SCENE_LIB | - | - |
MUSIC_LIB | - | - |
SCENE_IMAGE_LIB | - | - |